Skip to main content
PUT
/
payments
/
provider-configs
/
{provider}
/
{config_id}
Update provider config by provider + config ID (admin)
curl --request PUT \
  --url https://api.pcxpay.com/v1/payments/provider-configs/{provider}/{config_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "provider": "manual",
  "country": "NG",
  "payment_method": "bank_transfer",
  "direction": "inbound",
  "api_version": "<string>",
  "priority": 123,
  "is_active": true,
  "webhook_required": true,
  "org_id": "<string>",
  "min_amount": 123,
  "max_amount": 123,
  "description": "<string>",
  "webhook_url": "<string>",
  "webhook_secret": "<string>"
}
'
{
  "provider": "manual",
  "country": "NG",
  "payment_method": "bank_transfer",
  "direction": "inbound",
  "api_version": "<string>",
  "priority": 123,
  "is_active": true,
  "webhook_required": true,
  "org_id": "<string>",
  "min_amount": 123,
  "max_amount": 123,
  "description": "<string>",
  "webhook_url": "<string>",
  "config_id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

provider
string
required
config_id
string
required

Body

application/json
provider
enum<string>
required
Available options:
manual,
crypto,
fiat,
hybrid,
sarepay,
paystack,
flutterwave,
truelayer,
yellowcard,
stripe,
paypal,
trustpayment,
squad
country
string
required
Example:

"NG"

payment_method
enum<string>
required
Available options:
bank_transfer,
card,
mobile_money,
crypto,
wallet
direction
enum<string>
required
Available options:
inbound,
outbound,
external
api_version
string
priority
integer

Lower number = higher priority

is_active
boolean
webhook_required
boolean
org_id
string | null

Scope this config to a specific organisation; null = global

min_amount
number<float>
max_amount
number<float>
description
string
webhook_url
string<uri>
webhook_secret
string

Response

Updated config

provider
enum<string>
required
Available options:
manual,
crypto,
fiat,
hybrid,
sarepay,
paystack,
flutterwave,
truelayer,
yellowcard,
stripe,
paypal,
trustpayment,
squad
country
string
required
Example:

"NG"

payment_method
enum<string>
required
Available options:
bank_transfer,
card,
mobile_money,
crypto,
wallet
direction
enum<string>
required
Available options:
inbound,
outbound,
external
api_version
string
priority
integer

Lower number = higher priority

is_active
boolean
webhook_required
boolean
org_id
string | null

Scope this config to a specific organisation; null = global

min_amount
number<float>
max_amount
number<float>
description
string
webhook_url
string<uri>
config_id
string
created_at
string<date-time>
updated_at
string<date-time>